> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request an OTC RFQ quote

> Fans out to every eligible liquidity rail (Quidax, Bridge.xyz) and locks in the best-execution rate as a rate-locked, time-limited quote.




## OpenAPI

````yaml /api-reference/openapi.json post /v1/otc/quotes
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/otc/quotes:
    post:
      tags:
        - OTC
      summary: Request an OTC RFQ quote
      description: >
        Fans out to every eligible liquidity rail (Quidax, Bridge.xyz) and locks
        in the best-execution rate as a rate-locked, time-limited quote.
      operationId: requestOtcQuote
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - side
                - fromCurrency
                - toCurrency
                - amount
              properties:
                side:
                  type: string
                  enum:
                    - BUY
                    - SELL
                fromCurrency:
                  type: string
                  example: USDC
                toCurrency:
                  type: string
                  example: NGN
                amount:
                  type: string
                  example: '100000'
      responses:
        '201':
          description: Quote created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      provider:
                        type: string
                        enum:
                          - QUIDAX
                          - BRIDGE
                      side:
                        type: string
                        enum:
                          - BUY
                          - SELL
                      fromCurrency:
                        type: string
                      toCurrency:
                        type: string
                      fromAmount:
                        type: string
                      toAmount:
                        type: string
                      rate:
                        type: string
                      feeAmount:
                        type: string
                      feeCurrency:
                        type: string
                      status:
                        type: string
                        enum:
                          - ACTIVE
                          - EXECUTED
                          - EXPIRED
                          - CANCELLED
                      expiresAt:
                        type: string
                        format: date-time
                      createdAt:
                        type: string
                        format: date-time
        '400':
          description: No liquidity provider could quote this pair
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.